<?xml version="1.0" encoding="utf-8"?>
<ControllerConfig Name="HC12F">		
<Parameters>
	<Parameter Type="Group"
			   Name="Mapping"
			   Caption="Настройки can-modbus">		
		<Parameter 
					Type="ParamSet"
					ChannelCount="50"
					Name="ChannelGroup"
					Caption="Mapping"
			>
				<Parameter 
							Type="Block"
							Name="MappingBlock"							
							Address="25001:25004"
							AddressInterval="4"
							Updatable="true"
							Visible="false">
							<Parameter	Type="Regular"
										Name="RegCount"
										Caption="Количество регистров"
										DataType="int"
										EditorType="TextBox"										
										ReadOnly="true"
										Updatable="true"
										Address="25001"
										AddressInterval="4"
										>
							</Parameter>				
							<Parameter	Type="Regular"
										Name="ModbusAddr"
										Caption="ModBus адрес"
										DataType="uint"
										EditorType="TextBox"										
										Updatable="true"
										Address="25002"
										AddressInterval="4"
										>
							</Parameter>	
							<Parameter	Type="Constant"
										Name="Subindex"
										Caption="Подиндекс"
										DataType="uint"
										EditorType="TextBox"																																								
										ScriptOnChange="SubindexAndLengthBeforeChange"
										>
							</Parameter>								
							<Parameter	Type="Constant"
										Name="RecCount"
										Caption="Количество записей словаря"
										DataType="uint"
										EditorType="TextBox"																																								
										ScriptOnChange="SubindexAndLengthBeforeChange"
										>
							</Parameter>								
							<Parameter	Type="Regular"
										Name="SubindexAndLength"
										Caption="Подиндекс и количество записей словаря"
										DataType="hex"
										EditorType="TextBox"
										Visible="false"
										Updatable="true"
										Address="25003"
										AddressInterval="4"
										ScriptOnInit="SubindexAndLengthOnInit"
										>
							</Parameter>							
							<Parameter	Type="Regular"
										Name="ODIndex"
										Caption="Индекс объекта в OD"
										DataType="hex"
										EditorType="TextBox"
										Updatable="true"
										Address="25004"
										AddressInterval="4"
										>
							</Parameter>							
				</Parameter>
			</Parameter>			
	</Parameter>				
</Parameters>
</ControllerConfig>
